Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(143)

Unified Diff: third_party/libusb/src/bootstrap.sh

Issue 19713005: Update libusb 1.0.9 to libusbx 1.0.16 (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Created 7 years, 5 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: third_party/libusb/src/bootstrap.sh
diff --git a/third_party/libusb/src/autogen.sh b/third_party/libusb/src/bootstrap.sh
similarity index 81%
copy from third_party/libusb/src/autogen.sh
copy to third_party/libusb/src/bootstrap.sh
index c7bb6797d30817ddb28061d65e7e89df46135d8f..8b2b2c008e9fffaa5aff562dfc89b34b4193c6fd 100755
--- a/third_party/libusb/src/autogen.sh
+++ b/third_party/libusb/src/bootstrap.sh
@@ -1,13 +1,15 @@
#!/bin/sh
+set -e
+
# use libtoolize if available, otherwise look for glibtoolize (darwin)
if (libtoolize --version) < /dev/null > /dev/null 2>&1; then
LIBTOOLIZE=libtoolize
elif (glibtoolize --version) < /dev/null > /dev/null 2>&1; then
LIBTOOLIZE=glibtoolize
else
- echo "libtoolize or glibtoolize was not found! Please install libtool."
- exit
+ echo "libtoolize or glibtoolize was not found! Please install libtool." 1>&2
+ exit 1
fi
$LIBTOOLIZE --copy --force || exit 1
@@ -15,5 +17,3 @@ aclocal || exit 1
autoheader || exit 1
autoconf || exit 1
automake -a -c || exit 1
-./configure --enable-maintainer-mode --enable-debug-log \
- --enable-examples-build $*

Powered by Google App Engine
This is Rietveld 408576698